View Issue Details

IDProjectCategoryView StatusLast Update
14998Bug reports[All Projects] Survey takingpublic2019-07-01 12:07
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeveritymajor 
Status resolvedResolutionfixed 
Product Version3.17.x 
Target VersionFixed in Version3.17.x 
Summary14998: Usage of self.NAOK insique all question part are broken
Description

self.NAOK return the 1st value in page

Steps To Reproduce

Import included survey
Check logic of Q01 : see Q01
Check logic of survey : see Q00 everywhere
Launch survey : all {self.NAOK} use {Q00.NAOK}

Additional Information

3.17.4+190529 broken
3.17.3+190429 OK

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.17.5 github & 3.17.4
I will donate to the project if issue is resolvedNo
Browserff
Database & DB-Versionmariadb
Server OS (if known)fedora/linux
Webserver software & version (if known)nginx
PHP VersionPHP7

Activities

DenisChenu

DenisChenu

2019-06-21 14:09

developer  

limesurvey_survey_selfBroken.lss (20,416 bytes)
DenisChenu

DenisChenu

2019-06-21 14:19

developer   ~52488

Last edited: 2019-06-21 14:19

View 2 revisions

@ollehar Dev: Memoize result from ExpandThisVar (not 100% sure this is a bottleneck) is the issue
must be disabled for self and this at minima …
https://github.com/LimeSurvey/LimeSurvey/commit/445313913cbfec6addc85618108e728a13f81794

DenisChenu

DenisChenu

2019-06-21 14:23

developer   ~52489

Must be disable if HAVE self or this
((sum(!(!is_empty(self.NAOK))) == 0)) and ((sum(!(!is_empty(self.NAOK))) == 0)) goes into cache

DenisChenu

DenisChenu

2019-06-21 23:14

developer   ~52491

https://github.com/LimeSurvey/LimeSurvey/commit/7a0112999b2dff5a54e51e0c28ac562ef3992150

DenisChenu

DenisChenu

2019-06-28 12:27

developer   ~52624

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29007

ollehar

ollehar

2019-07-01 10:15

administrator   ~52646

Thanks, Denis! Very good catch.

ollehar

ollehar

2019-07-01 10:16

administrator   ~52647

I can make a regression test for this bug.

DenisChenu

DenisChenu

2019-07-01 10:57

developer   ~52648

I have this one : https://bugs.limesurvey.org/view.php?id=14995 to do too (relevance on preview).

ollehar

ollehar

2019-07-01 11:04

administrator   ~52649

Group preview? Hm.

DenisChenu

DenisChenu

2019-07-01 12:07

developer   ~52653

Question preview too (for subquestion and prefilling via URL)

Related Changesets

LimeSurvey: master 7a011299

2019-06-21 14:28:59

DenisChenu

Details Diff
Fixed issue 14998: Usage of self.NAOK insique all question part are broken
Dev: this disable static cache if self or this are in string
Affected Issues
14998
mod - application/helpers/expressions/em_core_helper.php Diff File

Issue History

Date Modified Username Field Change
2019-06-21 14:09 DenisChenu New Issue
2019-06-21 14:09 DenisChenu Status new => assigned
2019-06-21 14:09 DenisChenu Assigned To => DenisChenu
2019-06-21 14:09 DenisChenu File Added: Capture d’écran du 2019-06-21 14-04-58.png
2019-06-21 14:09 DenisChenu File Added: limesurvey_survey_selfBroken.lss
2019-06-21 14:19 DenisChenu Note Added: 52488
2019-06-21 14:19 DenisChenu Note Edited: 52488 View Revisions
2019-06-21 14:23 DenisChenu Note Added: 52489
2019-06-21 23:14 DenisChenu Status assigned => resolved
2019-06-21 23:14 DenisChenu Resolution open => fixed
2019-06-21 23:14 DenisChenu Fixed in Version => 3.17.x
2019-06-21 23:14 DenisChenu Note Added: 52491
2019-06-28 12:27 DenisChenu Changeset attached => LimeSurvey master 7a011299
2019-06-28 12:27 DenisChenu Note Added: 52624
2019-07-01 10:15 ollehar Note Added: 52646
2019-07-01 10:16 ollehar Note Added: 52647
2019-07-01 10:57 DenisChenu Note Added: 52648
2019-07-01 11:04 ollehar Note Added: 52649
2019-07-01 12:07 DenisChenu Note Added: 52653